top of page

DOWNLOAD PHLETE
ON ANDROID OR IPHONE

iPhone & Android
Requirements

Phlete Requires iOS 12.4 and watchOS 5.0 or later. Compatible with iPhone, iPad and iPod touch. This app may use your location even when it isn't open, which can decrease battery life.

Android 5.0 (Lollipop) or higher is necessary for smooth operation of the Phlete app. Check your operating system to be sure it's updated.

While Android version 4.1 (Jelly Bean) may be used, it may not provide the best experience. If your phone won't or can't upgrade to the latest operating system, don't worry. You can still request Phlete using your mobile browser.

image-asset.png
pexels-kaboompics-com-6097.jpeg

DOWNLOAD PHLETE

FAST. RELIABLE. SAFE. CONVENIENT.
App_Store_(iOS)-Badge-Alternative-Logo.wine.png
Google_Play-Logo.wine.png
bottom of page